Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# nipype.pipeline.engine.base module

Defines functionality for pipelined execution of interfaces.

class nipype.pipeline.engine.base.EngineBase(name=None, base_dir=None)

  Bases: `object`

  Defines common attributes and functions for workflows and nodes.

  Implements the more general view of a task.

  base_dir

    Define the work directory for this instance of workflow element.

  clone(name)

    Clone an EngineBase object.

    Parameters

      name (string (mandatory)) – A clone of node or workflow must have a new name

  property fullname

    Build the full name down the hierarchy.

  property inputs
  property itername

    Get the name of the expanded iterable.

  static load(filename)

    Load this workflow element from a file.

  property name

    Set the unique name of this workflow element.

  property outputs
  save(filename=None)

    Store this workflow element to a file.